## view
Class GoPage

    java.lang.Object
      view.GoResponse
          view.GoPage

Direct Known Subclasses:
  AdminPage, EditTournamentPage, ErrorPage, ExportPage, ImportPage, LoginPage, RegistrationPage, StatisticsPage

    public abstract class GoPage

extends GoResponse

Method Summary
`java.lang.String` `getSource()` Returns the XHTML source code of the page.
`java.lang.String` `getSource(int indent_width)` As above, but with indentation.

Methods inherited from class view.GoResponse
`addCookie, getCookies`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getSource

    public java.lang.String getSource()

  Returns the XHTML source code of the page.

### getSource

    public java.lang.String getSource(int indent_width)

  As above, but with indentation.

  Parameters:
    `indent_width` - the width of the indentation in spaces.